## org.apache.commons.math3.linear
Class NonSymmetricMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.linear.NonSymmetricMatrixException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NonSymmetricMatrixException

extends MathIllegalArgumentException

Exception to be thrown when a symmetric matrix is expected.

Since:
  3.0
Version:
  $Id: NonSymmetricMatrixException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private int` `column` Column.
`private int` `row` Row.
`private static long` `serialVersionUID` Serializable version Id.
`private double` `threshold` Threshold.

Constructor Summary
`NonSymmetricMatrixException(int row, int column, double threshold)` Construct an exception.

Method Summary
`int` `getColumn()`
`int` `getRow()`
`double` `getThreshold()`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### row

    private final int row

  Row.

### column

    private final int column

  Column.

### threshold

    private final double threshold

  Threshold.

Constructor Detail

### NonSymmetricMatrixException

    public NonSymmetricMatrixException(int row,
                                       int column,
                                       double threshold)

  Construct an exception.

  Parameters:
    `row` - Row index.
    `column` - Column index.
    `threshold` - Relative symmetry threshold.

Method Detail

### getRow

    public int getRow()

  Returns:
    the row index of the entry.

### getColumn

    public int getColumn()

  Returns:
    the column index of the entry.

### getThreshold

    public double getThreshold()

  Returns:
    the relative symmetry threshold.

Copyright (c) 2003-2013 Apache Software Foundation